Name:           msynctool
Version:        0.36
Release:        1%{?dist}
Summary:        Calendar (and other PIM data) synchronization program

Group:          Applications/Communications
License:        GPLv2
URL:            http://www/opensync.org
Source0:        http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  libopensync-devel >= 0.36

# this is really what it should obsolete
Obsoletes:	multisync <= 0.91.0-1

# also obsolete -gui now to have a clean upgrade path for rawhide users till a
# new gui version is released
Obsoletes:      multisync-gui <= 0.91.0-1

%description
%{name} is a program to synchronize calendars, addressbooks and other PIM
data between programs on your computer and other computers, mobile devices,
PDAs or cell phones.
For proper use, please install the desired plugins found in the
libopensync-plugin-* packages.


%prep
%setup -q


%build
mkdir build
cd build
%cmake -DCMAKE_SKIP_RPATH=YES ../
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
cd build
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS CODING COPYING README
%{_bindir}/msynctool


%changelog
* Fri Jun 20 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.36-1
- version upgrade

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.35-4
- Autorebuild for GCC 4.3

* Fri Jan 04 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-3
- add obsoletes to provide clean upgrade path to rawhide

* Fri Dec 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-1
- initial split from multisync package
